clash-lib-1.8.1: Clash: a functional hardware description language - As a library

Copyright | (C) 2019 Myrtle Software Ltd
License | BSD2 (see the file LICENSE)
Maintainer | Christiaan Baaij <christiaan.baaij@gmail.com>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Clash.Primitives.GHC.Word

Description

Blackbox generation for GHC.Word.WordX# data constructors. (System)Verilog only!

Synopsis

- wordTF :: BlackBoxFunction

# Documentation

wordTF :: BlackBoxFunction Source #

Template function for Word8,Word16,.. Constructs "clean" literals. This function generates valid (System)Verilog only!